Page MenuHomePhabricator

[OpenMP] [OMPD] [3/6] Implementation of OMPD debugging library - libompd. omp-debug: Implementation of OMPD APIs.
ClosedPublic

Authored by Vigneshbalu on Apr 9 2021, 5:25 AM.

Details

Summary

This is part of review: https://reviews.llvm.org/D100181
Implementation of OMPD APIs as specified in the doc OpenMP API specificaion (5 OMPD Interface).

Diff Detail

Event Timeline

Vigneshbalu created this revision.Apr 9 2021, 5:25 AM
Vigneshbalu requested review of this revision.Apr 9 2021, 5:25 AM
Herald added a project: Restricted Project. · View Herald Transcript
Vigneshbalu changed the visibility from "Public (No Login Required)" to "Vigneshbalu (Vignesh Balasubramanian)".Apr 9 2021, 7:55 AM
Vigneshbalu changed the visibility from "Vigneshbalu (Vignesh Balasubramanian)" to "Public (No Login Required)".Apr 11 2021, 9:48 AM

Addressed clang-tidy warnings.

Rebasing the patch.

Rebasing the patch.

Gentle Reminder !

hbae added inline comments.Sep 16 2021, 12:17 PM
openmp/libompd/src/omp-debug.cpp
46

Can we return early here if callback table is invalid?

85

Should this be !*handle?

153

ompd_rc_stale_handle looks more accurate.

177

Comment is incorrect.
Something like IN: thread number for the returned handle should be fine.

225

Comment is incorrect.

617

Comment is incorrect. This is also an input.

Addressing the review comments.

Vigneshbalu marked 6 inline comments as done.Sep 17 2021, 4:21 AM

Resolved review comments.

Fixing clang-format warnings

hbae accepted this revision.Sep 17 2021, 8:56 AM

LGTM

This revision is now accepted and ready to land.Sep 17 2021, 8:56 AM
This revision was landed with ongoing or failed builds.Sep 27 2021, 12:02 AM
This revision was automatically updated to reflect the committed changes.